/*
 xGL:Layer2D.h
 Created by mantis on 14/07/05.
 Copyright 2005 xonko. All rights reserved.
*/

#import <Cocoa/Cocoa.h>
#import "vectorLib.h"

@interface XGLLayer2D : NSObject {
	
	GLfloat colors[4][4];
	GLfloat verts[4][3];
	GLfloat depth;
	float viewAngle;
	NSSize size;	
	bool built;
	int bgHue;
	NSString *name;
}

-(NSString *)name;
-(void)setName:(NSString *)aName;

-(void)setSize:(NSSize)newSize;

-(NSSize)size;

-(void)setDepth:(float)newDepth;
-(GLfloat) depth;

-(void)setColor:(int)colorNum:(NSColor *)newColor;
-(NSColor *)getColor:(int)colorNum;
-(void)randomiseColors;
-(void)cycleBGColor;

-(void)setViewAngle:(float)newAngle;

-(void)drawQuad;

@end
